Generate payment report

This request pulls a loan's payment report.

   Click here to learn more about this request

LoanPro features a Reports tab where users can view and create filtered information. Note the following when using this request:

This request queries data like the Payment Breakdown Report. In the response of a successful request, payments and the way they applied to a loan will be provided.

The first section of the response provides a summary of the results and includes totals for payment breakdown categories.

The query object can be used to search for multiple pieces of criteria. Take a look at our sample payload example below to see how this is formatted.

Many of the parameters used in the payload of this request use strings instead of IDs.

For an example of how the Payment Breakdown Report works within the UI, take a look at our Generating and exporting reports article.

Database

For information on payments and reports database tables, see the following articles:

Database Payment Information

Database – Scheduled Report Entity (scheduled_report_entity)

{
    "query": {
        "bool": {
            "must": [
                {
                    "match": {
                        "active": "1"
                    }
                },
                {
                    "match": {
                        "loanStatusId": "2"
                    }
                }
            ]
        }
    },
    "reportOptions": {
        "method": "Credit/Debit Card",
        "type": "all",
        "status": "all",
        "reversereason": "all",
        "chargeOff": "all",
        "period": "ytd",
        "dateFrom": "",
        "dateTo": "",
        "changedPeriod": "",
        "changedDateFrom": "",
        "changedDateTo": "",
        "sourceCompanies": [
            {
                "id": ""
            }
        ],
        "portfoliosCriteria": "all",
        "splitPayments": "no",
        "batchId": "",
        "processorStatus": "",
        "dateEnteredPeriod": "",
        "dateEnteredTo": null,
        "dateEnteredFrom": null,
        "customFields": {},
        "chargeOffRecovery": "all",
        "selectedPortfolios": [
            {
                "category": "",
                "portfolio": "",
                "subportfolio": ""
            }
        ]
    }
}
Body Params
query
object

This object creates a query for a specific piece of criteria.

reportOptions
object

This object holds the search parameters for your report.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json